{% extends "base.html" %}
{% block title %}Schema list{% endblock %}
{% block content %}
    <nav class="breadcrumb" aria-label="breadcrumbs">
        <ul>
            <li><a href="{% url 'home' %}">Home</a></li>
            <li><a href="{% url 'schema:list_view' %}">Schema list</a></li>
            <li class="is-active">Create schema</li>
        </ul>
    </nav>

    <form method="post">
        {% csrf_token %}
        <div class="level-right">
            <button class="button is-primary level-item" type="submit">Create</button>
        </div>
        <label class="label">Name</label>
        <div class="field">
            <div class="control">
                <input class="input" type="text" name="schema_form-name">
            </div>
        </div>
        <label class="label">Column separator</label>
        <div class="field">
            <div class="control">
                <div class="select">
                    <select name="schema_form-column_separator">
                        {% for item in column_separator %}
                            <option value="{{ item }}">{{ item }}</option>
                        {% endfor %}
                    </select>
                </div>
            </div>
        </div>
        <label class="label">String character</label>
        <div class="field">
            <div class="control">
                <div class="select">
                    <select name="schema_form-string_character">
                        {% for item in string_character %}
                            <option value="{{ item }}">{{ item }}</option>
                        {% endfor %}
                    </select>
                </div>
            </div>
        </div>
        <br>
        <div class="columns">
            <div class="column">
                <label class="label">Column name</label>
            </div>
            <div class="column">
                <label class="label">Type</label>
            </div>
            <div class="column">
                <label class="label">From</label>
            </div>
            <div class="column">
                <label class="label">To</label>
            </div>
            <div class="column">
                <label class="label">Order</label>
            </div>
        </div>
        <div class="columns-container">
        </div>
        <button class="button is-primary add-column">Add column</button>
    </form>

{% endblock %}
